CVE-2022-2211

NameCVE-2022-2211
DescriptionA vulnerability was found in libguestfs. This issue occurs while calculating the greatest possible number of matching keys in the get_keys() function. This flaw leads to a denial of service, either by mistake or malicious actor.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub advisories/code/issues, web search, more)
Debian Bugs1014764

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
guestfs-tools (PTS)bookworm, sid1.48.2-1vulnerable
libguestfs (PTS)buster1:1.40.2-2vulnerable
bullseye1:1.44.0-2vulnerable
bookworm, sid1:1.48.6-1fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
guestfs-toolssource(unstable)(unfixed)1014764
libguestfssource(unstable)1:1.46.2-1

Notes

[bullseye] - libguestfs <no-dsa> (Minor issue)
[buster] - libguestfs <no-dsa> (Minor issue)
https://bugzilla.redhat.com/show_bug.cgi?id=2100862
In 1:1.46.2-1 of src:libguestfs the tools were split out to src:guestfs-tools, marking that as fixed version
https://listman.redhat.com/archives/libguestfs/2022-June/029274.html
https://listman.redhat.com/archives/libguestfs/2022-June/029277.html
https://github.com/libguestfs/libguestfs-common/commit/35467027f657de76aca34b48a6f23e9608b23a57
Documentation: https://github.com/libguestfs/libguestfs/commit/99844660b48ed809e37378262c65d63df6ce4a53

Search for package or bug name: Reporting problems